%define	module	File-MMagic
%define	name	perl-%{module}
%define	version	1.22
%define	release	1mdk

Summary:	Guess file type from filename and/or filehandle.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel >= 5.8.0
Requires:	perl
BuildArch:	noarch

%description
This perl library uses perl5 objects to guess file type from filename and/or
filehandle.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README.en 
%{perl_vendorlib}/File/*
%{_mandir}/*/*

%changelog
* Wed Jun 02 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.22-1mdk
- 1.22
- cosmetics

* Wed Aug 27 2003 Franois Pons <fpons@mandrakesoft.com> 1.20-1mdk
- 1.20.

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.17-3mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.17-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 25 2003 Franois Pons <fpons@mandrakesoft.com> 1.17-1mdk
- 1.17.

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.16-2mdk
- rebuild

* Fri Nov 21 2002 Buchan Milne <bgmilne@linux-mandrake.com> 1.16-1mdk
- 1.16 (to fix bugid 558)

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.15-2mdk
- rebuild for perl 5.8.0

* Fri Mar 01 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.15-1mdk
- 1.15

* Thu Aug 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.13-1mdk
- updated to 1.13

* Wed Mar 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.11-1mdk
- added by Stefan van der Eijk <s.vandereijk@chello.nl> :
	- new in contrib
